This documentation is archived and is not being maintained.

IPAddress::Address Property

NOTE: This API is now obsolete.

An Internet Protocol (IP) address.

Namespace:  System.Net
Assembly:  System (in System.dll)

[ObsoleteAttribute(L"This property has been deprecated. It is address family dependent. Please use IPAddress.Equals method to perform comparisons. http://go.microsoft.com/fwlink/?linkid=14202")]
public:
property long long Address {
	long long get ();
	void set (long long value);
}

Property Value

Type: System::Int64
The long value of the IP address.

This property is obsolete. Use GetAddressBytes.

To convert Address to dotted-quad notation, use the ToString method.

The following example uses the Address parameter to retrieve the IP address of the IPAddress instance.

void PrintAddress( String^ IpAddressString )
{
   // Creates an instance of the IPAddress for the specified IP String* in 
   // dotted-quad notation.
   IPAddress^ hostIPAddress = IPAddress::Parse( IpAddressString );
   Console::WriteLine( "\nInteger value of IP address {0} is {1}", IpAddressString, hostIPAddress->Address );
}
void PrintAddress(String* IpAddressString) {
   // Creates an instance of the IPAddress for the specified IP String* in
   // dotted-quad notation.
   IPAddress* hostIPAddress = IPAddress::Parse(IpAddressString);
   Console::WriteLine(S"\nInteger value of IP address {0} is {1}", IpAddressString, __box( hostIPAddress->Address));
}

Windows 7, Windows Vista, Windows XP SP2, Windows XP Media Center Edition, Windows XP Professional x64 Edition, Windows XP Starter Edition, Windows Server 2008 R2, Windows Server 2008, Windows Server 2003, Windows Server 2000 SP4, Windows Millennium Edition, Windows 98, Windows CE, Windows Mobile for Smartphone, Windows Mobile for Pocket PC

The .NET Framework and .NET Compact Framework do not support all versions of every platform. For a list of the supported versions, see .NET Framework System Requirements.

.NET Framework

Supported in: 1.0
Obsolete (compiler warning) in 3.5
Obsolete (compiler warning) in 3.5 SP1
Obsolete (compiler warning) in 3.0
Obsolete (compiler warning) in 3.0 SP1
Obsolete (compiler warning) in 3.0 SP2
Obsolete (compiler warning) in 2.0
Obsolete (compiler warning) in 2.0 SP1
Obsolete (compiler warning) in 2.0 SP2
Obsolete (compiler warning) in 1.1

.NET Compact Framework

Supported in: 1.0
Obsolete (compiler warning) in 3.5
Obsolete (compiler warning) in 2.0
Show: